﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">
    protected void contentGen_Click(object sender, EventArgs e)
    {
        long folder = 0;
        int contentCount = 0;
        long.TryParse(folderId.Text, out folder);
        int.TryParse(count.Text, out contentCount);
        if (Ektron.Cms.ObjectFactory.GetUser().IsCmsUser)
        {
            if (folder > 0)
            {
                if (contentCount > 0)
                {
                    Ektron.Cms.Framework.Content.ContentManager cManager = new Ektron.Cms.Framework.Content.ContentManager();
                    for (int i = 0; i < contentCount; i++)
                    {
                        try
                        {
                            Ektron.Cms.ContentData cData = new Ektron.Cms.ContentData();
                            cData.FolderId = folder;
                            cData.Html = "Test Content HTML";
                            cData.Title = "TEST CONTENT " + i;
                            cManager.Add(cData);
                        }
                        catch (Exception ex)
                        {
                            Response.Write("Exception thrown creating content item<br />" + ex.Message + "<br />");
                        }
                    }
                    Response.Write("Procedure complete");
                }
                else
                {
                    Response.Write("Count must be > 0");
                }
            }
            else
            {
                Response.Write("Folder ID must be > 0");
            }
        }
        else
        {
            Response.Write("You must be logged in as a CMS user to use this sample");
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Content Generator</title>
</head>
<body>
    <form id="form1" runat="server">
        <h3>Content Generator</h3>
        <p>This sample generates test content in a folder using the Framework API (ContentManager). You can specify the folder id and the amount of content items to create. This creates regular html content items.</p>
        <p><strong>You must be logged in to run this sample.</strong></p>
        <br />
        Folder ID:
        <asp:TextBox ID="folderId" runat="server">
        </asp:TextBox>
        <br />
        Count:
        <asp:TextBox ID="count" runat="server"></asp:TextBox><br />
        <asp:Button ID="contentGen" runat="server" Text="Generate Content" OnClick="contentGen_Click" />
    </form>
</body>
</html>
